-- check mod state
script.on_configuration_changed(function(data)
    -- midgame installation
    if data.mod_changes ~= nil and data.mod_changes["SimpleSilicon"] ~= nil and data.mod_changes["SimpleSilicon"].old_version == nil then
        local oldver = data.mod_changes["SimpleSilicon"].old_version
        local newver = data.mod_changes["SimpleSilicon"].new_version
        for index, force in pairs(game.forces) do
            local technologies = force.technologies
            local recipes = force.recipes

            technologies["solar-energy"].reload()
            technologies["advanced-electronics"].reload()
            recipes["solar-panel"].reload()
            recipes["advanced-circuit"].reload()
            recipes["processing-unit"].reload()
            
            if technologies["solar-energy"].researched then
                recipes["SiSi-solar-cell"].enabled = true
            end

            if technologies["advanced-electronics"].researched then
                recipes["SiSi-silicon-wafer"].enabled = true
            end
            -- tell the player how many assemblers need to be fixed
            notification({"notification-midgame-update", {"prefix"}, newver}, force)
            notification({"notification-scan-for-recipes", {"prefix"}}, force)
            local sp = 0
            local ac = 0
            local pu = 0
            sp, ac, pu = recipe_scan(force)        
            notification({"notification-scan-result", {"prefix"}, sp, recipes["solar-panel"].localised_name}, force)
            notification({"notification-scan-result", {"prefix"}, ac, recipes["advanced-circuit"].localised_name}, force)
            notification({"notification-scan-result", {"prefix"}, pu, recipes["processing-unit"].localised_name}, force)
            notification({"notification-advice", {"prefix"}}, force)
        end
    -- midgame update
    elseif data.mod_changes ~= nil and data.mod_changes["SimpleSilicon"] ~= nil and data.mod_changes["SimpleSilicon"].old_version ~= nil then
        local oldver = data.mod_changes["SimpleSilicon"].old_version
        local newver = data.mod_changes["SimpleSilicon"].new_version
        notification({"notification-new-version", {"prefix"}, oldver, newver})
    end
end)

function notification(txt, force)
    if force ~= nil then
        force.print(txt)
    else
        for k, p in pairs (game.players) do
            game.players[k].print(txt)
        end
    end
end

-- returns the amount of assemblers with recipes for solar panels, advanced circuits and processing units
function recipe_scan(f)
    local number_sp = 0;
    local number_ac = 0;
    local number_pu = 0;
    for n, s in pairs (game.surfaces) do
        for n, e in pairs(s.find_entities_filtered({type = "assembling-machine", force = f})) do
            if e.recipe ~= nil then
                if e.recipe.name=="solar-panel" then      
                    --debug:
                    --notification("debug: ["..number_sp.."] x="..e.position.x.." y="..e.position.y.." Recipe ="..e.recipe.name.." Force = "..f.name)
                    number_sp = number_sp +1 
                elseif e.recipe.name=="advanced-circuit" then
                    number_ac = number_ac +1
                elseif e.recipe.name=="processing-unit" then
                    number_pu = number_pu +1
                end
            end
        end    
    end
    return number_sp, number_ac, number_pu
end