function make_heavy_mg_gunshot_sounds(volume)
    return
    {
      {
        filename = "__tankwerkz__/sound/fight/tank-heavy-mg.ogg",
        volume = 0.55
      }
    }
end


data:extend(
{
  {
    type = "gun",
    name = "tankwerkz-hydra-rocket-launcher",
    icon = "__tankwerkz__/graphics/icons/hydra-rocket-launcher.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "d[rocket-launcher]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "tankwerkz-hydra-rocket",
      movement_slow_down_factor = 0.8,
      cooldown = 10,
      projectile_creation_distance = 0.6,
      range = 30
    },
    stack_size = 5
  },
  {
    type = "gun",
    name = "tankwerkz-heavy-mg",
    icon = "__tankwerkz__/graphics/icons/heavy-mg.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "a[basic-clips]-b[tank-submachine-gun]",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "tankwerkz-heavy-mg",
      cooldown = 4,
      movement_slow_down_factor = 0.7,
      shell_particle =
      {
        name = "shell-particle",
        direction_deviation = 0.1,
        speed = 0.1,
        speed_deviation = 0.03,
        center = {0, 0},
        creation_distance = -0.5075,
        starting_frame_speed = 0.4,
        starting_frame_speed_deviation = 0.1
      },
      projectile_center = {-0.25625, -0.17812},
      projectile_creation_distance = 1.5,
      range = 15,
      sound = make_heavy_mg_gunshot_sounds(),
    },
    stack_size = 1
  },
  {
    type = "gun",
    name = "tankwerkz-flame-tank-flame-thrower",
    icon = "__base__/graphics/icons/flame-thrower.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "e[tankwerkz-flame-tank-flame-thrower]",
    attack_parameters =
    {
      type = "stream",
      ammo_category = "tankwerkz-tank-flame-thrower",
      cooldown = 1,
      movement_slow_down_factor = 0.2,
      projectile_creation_distance = 0.7,
      gun_barrel_length = 0.7,
      gun_center_shift = { 0, -1.5 },
      
      range = 20,
      min_range = 1,
      cyclic_sound =
      {
        begin_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-start.ogg",
            volume = 0.7
          }
        },
        middle_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-mid.ogg",
            volume = 0.7
          }
        },
        end_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-end.ogg",
            volume = 0.7
          }
        }
      }
    },
    stack_size = 1
  }
}
)
