data:extend(
{
  {
    type = "technology",
    name = "tankwerkz-light-tanks",
    icon = "__base__/graphics/technology/tanks.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-light-tank"
      }
    },
    prerequisites = {"automobilism", "military-3"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 20
    },
    order = "e-c-b"
  },
  {
    type = "technology",
    name = "tankwerkz-adv-tanks",
    icon = "__base__/graphics/technology/tanks.png",
    icon_size = 128,
    effects =
    {
    },
    prerequisites = {"tanks"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 60
    },
    order = "e-c-d"
  },
  {
    type = "technology",
    name = "tankwerkz-hi-velocity",
    icon = "__tankwerkz__/graphics/technology/cannon-shell-ap-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-ap-cannon-shell"
      }
    },
    prerequisites = {"military-4", "tankwerkz-adv-tanks"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    order = "e-c-e"
  },
  {
    type = "technology",
    name = "tankwerkz-hi-explosive",
    icon = "__tankwerkz__/graphics/technology/cannon-shell-hiex-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-hiex-cannon-shell"
      }
    },
    prerequisites = {"explosive-rocketry", "tankwerkz-adv-tanks"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    order = "e-c-e"
  },
  {
    type = "technology",
    name = "tankwerkz-fast-loading",
    icon = "__tankwerkz__/graphics/technology/heavy-mg-ammo-technology.png",
    icon_size = 128,
    effects =
    {
    },
    prerequisites = {"military-4", "tankwerkz-adv-tanks"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "e-c-f"
  },
  {
    type = "technology",
    name = "tankwerkz-miniaturization",
    icon = "__tankwerkz__/graphics/technology/hydra-rocket-technology.png",
    icon_size = 128,
    effects =
    {
    },
    prerequisites = {"military-4", "tankwerkz-adv-tanks"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "e-c-f"
  },
  {
    type = "technology",
    name = "tankwerkz-hydra-tank",
    icon = "__base__/graphics/technology/tanks.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-hydra-tank"
      },
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-hydra-rocket"
      }
    },
    prerequisites = {"tankwerkz-fast-loading", "tankwerkz-miniaturization", "explosive-rocketry"},
    unit =
    {
      count = 250,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    order = "e-c-f"
  },
  {
    type = "technology",
    name = "tankwerkz-heavy-machinegun",
    icon = "__tankwerkz__/graphics/technology/heavy-mg-technology.png",
    icon_size = 128,
    effects =
    {
    },
    prerequisites = {"tankwerkz-adv-tanks", "tankwerkz-fast-loading"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "e-c-i"
  },
  {
    type = "technology",
    name = "tankwerkz-heavy-tank",
    icon = "__base__/graphics/technology/tanks.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-heavy-tank"
      },
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-heavy-mg-ammo"
      }
    },
    prerequisites = {"tankwerkz-heavy-machinegun"},
    unit =
    {
      count = 500,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 60
    },
    order = "e-c-i"
  },
  {
    type = "technology",
    name = "tankwerkz-flame-tank",
    icon = "__tankwerkz__/graphics/technology/flame-tank-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-flame-tank"
      },
      {
        type = "unlock-recipe",
        recipe = "tankwerkz-fill-tank-flame-thrower-ammo"
      }
    },
    prerequisites = {"tanks", "flame-thrower"},
    unit =
    {
      count = 250,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    order = "e-c-f"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-damage-1",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-damage-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.1"
      },
	 
    },
    prerequisites = {"tankwerkz-adv-tanks"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-c-g"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-damage-2",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-damage-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      },
	 
    },
    prerequisites = {"tankwerkz-tank-cannon-damage-1"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-c-h"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-damage-3",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-damage-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      },
	
    },
    prerequisites = {"tankwerkz-tank-cannon-damage-2"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-i"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-damage-4",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-damage-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      },
	 
    },
    prerequisites = {"tankwerkz-tank-cannon-damage-3"},
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-j"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-damage-5",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-damage-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      },
	  
    },
    prerequisites = {"tankwerkz-tank-cannon-damage-4"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-k"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-damage-6",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-damage-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "cannon-shell",
        modifier = "0.4"
      },
	 
    },
    prerequisites = {"tankwerkz-tank-cannon-damage-5", "tankwerkz-tank-cannon-speed-5"},
    unit =
    {
      count = 500,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-l"
   },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-speed-1",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-speed-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.1"
      }
	 
    },
    prerequisites = {"tankwerkz-adv-tanks"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-c-g"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-speed-2",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-speed-technology.png",
    icon_size = 128,
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      },
    },
    prerequisites = {"tankwerkz-tank-cannon-speed-1"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    upgrade = true,
    order = "e-c-h"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-speed-3",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-speed-technology.png",
    icon_size = 128,
    effects =
    {
	  {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      }
    },
    prerequisites = {"tankwerkz-tank-cannon-speed-2"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-i"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-speed-4",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-speed-technology.png",
    icon_size = 128,
    effects =
    {
      
	  {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      }
    },
    prerequisites = {"tankwerkz-tank-cannon-speed-3"},
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-j"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-speed-5",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-speed-technology.png",
    icon_size = 128,
    effects =
    {
     
	  {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.2"
      }
    },
    prerequisites = {"tankwerkz-tank-cannon-speed-4"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-k"
  },
  {
    type = "technology",
    name = "tankwerkz-tank-cannon-speed-6",
    icon = "__tankwerkz__/graphics/technology/tank-cannon-speed-technology.png",
    icon_size = 128,
    effects =
    {
      
	  {
        type = "gun-speed",
        ammo_category = "cannon-shell",
        modifier = "0.4"
      }
    },
    prerequisites = {"tankwerkz-tank-cannon-damage-5", "tankwerkz-tank-cannon-speed-5"},
    unit =
    {
      count = 500,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 60
    },
    upgrade = true,
    order = "e-c-l"
  },
  
}
)
